petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerBinarySetFlowControl

Sets how many messages are allowed to outstanding at the same time during parallel IO reads/writes

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerBinarySetFlowControl(PetscViewer viewer,PetscInt fc)

Not Collective Many br

### Input Parameter

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen() Many br
| fc | - the number of messages, defaults to 256 if this function was not called Many br

Many br

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetInfoPointer(), PetscViewerBinaryGetFlowControl()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex10.c.html